<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller Domain Service functions
 *
 * @package    Domain
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Service_Domain extends Controller_Service {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	public function action_list() {
		Block::factory()
			->title('Domain License Services')
			->title_icon('icon-th-list')
			->body(Table::factory()
				->jssort('domain')
				->data(ORM::factory('Service')->where_authorised($this->ao)->list_byplugin('DOMAIN'))
				->columns(array(
					'id'=>'ID',
					'name()'=>'Service',
					'plugin()->display("domain_expire")'=>'Expire',
					'recur_schedule'=>'Billing',
					'price(TRUE,TRUE)'=>'Price',
					'account->accnum()'=>'Cust ID',
					'account->name()'=>'Customer',
					'date_next_invoice'=>'Next Invoice',
					'due(TRUE)'=>'Due Invoices',
				))
				->prepend(array(
					'id'=>array('url'=>URL::link('user','service/view/')),
				))
			);
	}
}
?>
